org.apache.ode.bpel.elang.xpath10.o

## Class OXPath10ExpressionBPEL20

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OExpression
    - - org.apache.ode.bpel.o.OLValueExpression
      - - org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression
        - - org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    OXPath20ExpressionBPEL20

      public class OXPath10ExpressionBPEL20
      extends OXPath10Expression
      implements java.io.Serializable

  Jaxen-based compiled-xpath representation for XPATH 1.0 expression language.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

      `OXPath10Expression.OSigGetVariableData`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isJoinExpression` Flags this expression as a joinCondition
    `javax.xml.namespace.QName` | `qname_doXslTransform` QName of the `bpws:getVariableData` function.

    - ### Fields inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

      `links, namespaceCtx, properties, qname_getLinkStatus, qname_getVariableData, qname_getVariableProperty, vars, xpath, xslSheets`

    - ### Fields inherited from class org.apache.ode.bpel.o.OLValueExpression

      `insertMissingData`

    - ### Fields inherited from class org.apache.ode.bpel.o.OExpression

      `expressionLanguage`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OXPath10ExpressionBPEL20(OProcess owner, javax.xml.namespace.QName qname_getVariableData, javax.xml.namespace.QName qname_getVariableProperty, javax.xml.namespace.QName qname_getLinkStatus, javax.xml.namespace.QName qname_doXslTransform, boolean isJoinExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

      `addGetVariableDataSig, getVariable, getXslSheet, resolveGetVariableDataSig, setXslSheet`

    - ### Methods inherited from class org.apache.ode.bpel.o.OExpression

      `getExpressionLanguage`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### qname_doXslTransform

          public final javax.xml.namespace.QName qname_doXslTransform

      QName of the `bpws:getVariableData` function.

    - #### isJoinExpression

          public final boolean isJoinExpression

      Flags this expression as a joinCondition

  - ### Constructor Detail

    - #### OXPath10ExpressionBPEL20

          public OXPath10ExpressionBPEL20(OProcess owner,
                                          javax.xml.namespace.QName qname_getVariableData,
                                          javax.xml.namespace.QName qname_getVariableProperty,
                                          javax.xml.namespace.QName qname_getLinkStatus,
                                          javax.xml.namespace.QName qname_doXslTransform,
                                          boolean isJoinExpression)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OXPath10Expression`